Apigithub
List reviews on a pull request
Read operation: does not mutate upstream state.
curl -X GET "https://api.modernloop.dev/rest/v1/github/repos/string/string/pulls/{number}/reviews" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"{ "reviews": [ { "id": 0, "user": { "login": "string", "id": 0 }, "body": "string", "state": "string", "commit_id": "string", "html_url": "string", "submitted_at": "string" } ], "totalCount": 0}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
owner*string
Repository owner (user or organization)
repo*string
Repository name
number?|
Pull request number
Query Parameters
page?integer
Page number (1-based)
Range
1 <= valueDefault
1perPage?integer
Results per page (max 100)
Range
1 <= value <= 100Default
30Response Body
application/json
application/json
application/json
application/json
application/json